- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Properties

# QGraphicsScale Class Reference

Search for all occurrences

## Detailed Description

Definition at line 83 of file qgraphicstransform.h.

`#include <qgraphicstransform.h>`

Inheritance diagram for QGraphicsScale:
[legend]

List of all members.

## Signals
void | originChanged ()
void | xScaleChanged ()
void | yScaleChanged ()
void | zScaleChanged ()
void | scaleChanged ()
## Public Member Functions
| QGraphicsScale (QObject *parent=0)
| ~QGraphicsScale ()
QVector3D | origin () const
void | setOrigin (const QVector3D &point)
qreal | xScale () const
void | setXScale (qreal)
qreal | yScale () const
void | setYScale (qreal)
qreal | zScale () const
void | setZScale (qreal)
void | applyTo (QMatrix4x4 *matrix) const
## Properties
QVector3D | origin
qreal | xScale
qreal | yScale
qreal | zScale

## Constructor & Destructor Documentation

QGraphicsScale | ( | QObject * | parent = `0` | ) |

~QGraphicsScale | ( |  | ) |

## Member Function Documentation

QVector3D origin | ( |  | ) | const

Search for all occurrences

void setOrigin | ( | const QVector3D & | point | ) |

Search for all occurrences

qreal xScale | ( |  | ) | const

Search for all occurrences

void setXScale | ( | qreal |  | ) |

Search for all occurrences

qreal yScale | ( |  | ) | const

Search for all occurrences

void setYScale | ( | qreal |  | ) |

Search for all occurrences

qreal zScale | ( |  | ) | const

Search for all occurrences

void setZScale | ( | qreal |  | ) |

Search for all occurrences

void applyTo | ( | QMatrix4x4 * | matrix | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsTransform.

void originChanged | ( |  | ) | `[signal]`

Search for all occurrences

void xScaleChanged | ( |  | ) | `[signal]`

Search for all occurrences

void yScaleChanged | ( |  | ) | `[signal]`

Search for all occurrences

void zScaleChanged | ( |  | ) | `[signal]`

Search for all occurrences

void scaleChanged | ( |  | ) | `[signal]`

Search for all occurrences

## Property Documentation

QVector3D origin `[read, write]`

Search for all occurrences

Definition at line 87 of file qgraphicstransform.h.

qreal xScale `[read, write]`

Search for all occurrences

Definition at line 88 of file qgraphicstransform.h.

qreal yScale `[read, write]`

Search for all occurrences

Definition at line 89 of file qgraphicstransform.h.

qreal zScale `[read, write]`

Search for all occurrences

Definition at line 90 of file qgraphicstransform.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicstransform.h

QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale
QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale QGraphicsScale